<div class="pt-3 pb-1" id="breadcrumbs-wrapper">
    <!-- Search for small screen-->
    <div class="container">
      <div class="row">
        <div class="col s12 m6 l6">
          <h3 class="breadcrumbs-title mt-0 mb-0">Ajouter un contrat</h3>
        </div>
        <div class="col s12 m6 l6 right-align-md">
          <ol class="breadcrumbs mb-0">
            <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
            </li>
            <li class="breadcrumb-item">Gestion des contrats
            </li>
            <li class="breadcrumb-item active">Ajouter contrat
            </li>
          </ol>
        </div>
      </div>
    </div>
  </div>


<section class="invoice-edit-wrapper ">
<div class="row">
<!-- invoice view page -->
<form #f="ngForm" (ngSubmit)="save(f.value)">
<div class="col xl9 m8 s12">
<div class="card">
<div class="card-content px-36">
  <!-- header section -->
  <div class="row mb-4">
    <div class="col xl6 m12 display-flex align-items-center">
      <label class="active">Période de :</label>
      <input type="date" name="periodede" #periodede="ngModel" [(ngModel)]="contrat.periodede" >
       </div>
    <div class="col xl6 m12">
      <div class="invoice-date-picker display-flex align-items-center">
      
        <label class="active">jusqu'a :</label>
            <input type="date" name="periodea" #periodea="ngModel" [(ngModel)]="contrat.periodea" >
        
      </div>
    </div>
  </div>
  <!-- logo and title -->
  <div class="row mb-3">
    <div class="col m6 s12 invoice-logo display-flex pt-1 push-m6">
      <img src="assets/app-assets/images/gallery/pixinvent-logo.png" alt="logo" height="46" width="164" />
    </div>
    <div class="col m6 s12 pull-m6">
      <h6 class="indigo-text">Date de contrat</h6>
      <input type="date" name="date" #date="ngModel" [(ngModel)]="contrat.date"  >
    </div>
  </div>

<br>
  <!-- invoice address and contact -->
  <div class="row mb-3">
    <div class="col l6 s12">
    
      <div class="input-field">
        <label for="nbrpersonne" class="active">Reservation</label>
        <select  searchable='Liste de Reservation' id="xxxx"   (change)="idreservation($event)"  required >

        <option *ngFor="let r of reservations" [value]="r.id">
          {{r.id}} 
         </option>
      </select>
          

          </div>
     
          <br/>
      <div class="input-field">
        <label> à compte </label>
        <input type="text" name="acompte" #acompte="ngModel" [(ngModel)]="contrat.acompte" >
      </div>
      <br/>
      <div class="input-field">
        <label class="active"> Liste des options </label>
       
        <select  multiple name="listeoption"  [(ngModel)]="listeoption" (change)="calculoption()">
          <option *ngFor="let o of options" [value]="o.id">
            {{o.nom}} 
           </option>
         
         
        </select>
          
    
         </div>
      
    </div>
    <div class="col l6 s12">
       



      </div>
     
  </div>


  <!-- product details table-->
  <div class="invoice-product-details mb-3" style="width: 100%;">
      <div data-repeater-list="group-a">

        <div class="invoice-item display-flex mb-1" style="background-color: #e4e3e3;" >
          <div class="col s2">
            <span class="invoice-subtotal-title" style="font-size: 12px;">Immatricule</span>

          </div>
          <div class="col s2">
            <span class="invoice-subtotal-title" style="font-size: 12px;" >Période de</span>

          </div>
          <div class="col s2">
            <span class="invoice-subtotal-title" style="font-size: 12px;">Période à</span>

          </div>
          <div class="col s2 ">
            <span class="invoice-subtotal-title" style="font-size: 12px;">N° Jour</span>

            </div>
          <div class="col s2 ">
            <span class="invoice-subtotal-title" style="font-size: 12px;">Prix</span>

          </div>
        </div>

        <div class="mb-2" *ngIf="ok">
          <!-- invoice Titles -->
          <div class="invoice-item display-flex mb-1" >
          
            <div class="invoice-item-filed row pt-1">
              <div class="col s12 m3 input-field">
                
                  <input type="text" name="immatricule0" ngModel  value="{{reservation.voitureImmatricule}}" disabled>
                
            
              </div>
              <div class="col m3 s12 input-field">
                <input type="date"  name="datedebut0"  ngModel value="{{reservation.Periodede}}" disabled>
              
              </div>
              <div class="col m3 s12 input-field" >
                <input type="date"  name="datefin0"  ngModel  value="{{reservation.Periodea}}" disabled>
            
              </div>
              <div class="col m1 s12 input-field">
                <input type="Number"   name="nbjour0"   ngModel  value="{{nbjour}}" disabled>
           
                
                </div>

                <div class="col m2 s12 input-field" >
                    <input type="text" name="prix0"  ngModel value="{{prix}}" disabled>
              
                  </div>


              
              
            </div>
           
          </div>
        </div>
      </div>
     
  </div>
  <!-- invoice subtotal -->
  <div class="invoice-subtotal" >
    <div class="row">
      <div class="col m5 s12">
       
        <div class="input-field">
          <input type="text" placeholder="Ajouter commentaire" name="commentaire" #commentaire="ngModel" [(ngModel)]="contrat.commentaire">
        </div>
      </div>
      <div class="col xl4 m7 s12 offset-xl3"  >
        <ul>
          <li class="display-flex justify-content-between">
            <span class="invoice-subtotal-title" >Prix voiture</span>
            <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixvoiture}} Dt</h6>
          </li>
          <li class="display-flex justify-content-between">
            <span class="invoice-subtotal-title">Prix option</span>
            <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixoption}} Dt</h6>
          </li>
        
          <li>
            <div class="divider mt-2 mb-2"></div>
          </li>
         
          <li class="display-flex justify-content-between">
            <span class="invoice-subtotal-title">Prix Total (DT)</span>
            <h6 class="invoice-subtotal-value" style="font-size: 13px;">{{prixtotal}} Dt</h6>
          </li>
          <li class=" mt-2">
            <button type="submit" class="btn btn-block waves-effect waves-light" >Valider</button>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
</div>
</div>
</form>
<!-- invoice action  -->
<div class="col xl3 m4 s12">
<div class="card invoice-action-wrapper mb-10">
<div class="card-content">
  <div class="invoice-action-btn">
    <a class="btn indigo waves-effect waves-light display-flex align-items-center justify-content-center">
      <i class="material-icons mr-4">check</i>
      <span class="responsive-text" >Envoyer contrat</span>
    </a>
  </div>
  <div class="invoice-action-btn">
    <a class="btn btn-light-indigo btn-block waves-effect waves-light">
      <span class="responsive-text">Télécharger </span>
    </a>
  </div>
  <div class="invoice-action-btn">
    <a class="btn btn-light-indigo btn-block waves-effect waves-light">
      <span class="responsive-text" >Facturer </span>
    </a>
  </div>
  <div class="row invoice-action-btn">
    <div class="col s6 preview">
      <a class="btn btn-light-indigo btn-block waves-effect waves-light" [routerLink]="['/VoirContrat']">
        <span class="responsive-text">Voir</span>
      </a>
    </div>
    <div class="col s6 save">
      <a class="btn btn-light-indigo btn-block waves-effect waves-light">
        <span class="responsive-text">Enregistrer</span>
      </a>
    </div>
  </div>
  
</div>
</div>






